use crate::tag;
use crate::runtime;

pub fn varying() -> u32 { 0 }
pub fn null() -> u32 { unsafe { runtime::type_outer(0, tag::NULL) } }
pub fn boolean() -> u32 { unsafe { runtime::type_outer(0, tag::BOOLEAN) } }
pub fn natural() -> u32 { unsafe { runtime::type_outer(0, tag::NATURAL) } }
pub fn integer() -> u32 { unsafe { runtime::type_outer(0, tag::INTEGER) } }
pub fn array(s:u32, t:u32) -> u32 {
    let size_node = unsafe { runtime::type_outer(t, s) };
    unsafe { runtime::type_outer(size_node, tag::ARRAY) }
}
pub fn list(t:u32) -> u32 { unsafe { runtime::type_outer(t, tag::LIST) } }
