mod builder; pub use builder::*;
mod allocate; pub use allocate::*;
mod util; pub use util::*;

mod boolean; pub use boolean::Boolean;
mod natural; pub use natural::Natural;
mod integer; pub use integer::Integer;

enum Type {
    Null,
    Boolean(Boolean),
    Natural(Natural),
    Integer(Integer),
    List,
}
